This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 852510 (CVE-2012-3542)

Summary: CVE-2012-3542 OpenStack Keystone: Lack of authorization for adding users to tenants
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: apevec, jlieskov, jrusnack, markmc, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20120830,reported=20120828,source=distros,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:P/A:N,openstack-1/openstack-keystone=affected,fedora-all/openstack-keystone=affected,epel-6/openstack-keystone=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-16 14:15:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 852513, 853244, 853245    
Bug Blocks: 836072, 852512    
Attachments:
Description Flags
CVE-2012-3542-core.py.patch none

Description Kurt Seifried 2012-08-28 14:18:12 EDT
Russel Bryant (rbryant@redhat.com) on behalf of the OpenStack project reports:

Title: Lack of authorization for adding users to tenants
Impact: Critical
Reporter: Dolph Mathews (Rackspace)
Products: Keystone
Affects: Essex, Folsom

Description:
Dolph Mathews reported a vulnerability in Keystone. When attempting to
update a user's default tenant, Keystone will only partially deny the
request when a user is not authorized to complete this action. The API
responds with 401 Not Authorized and the user's default tenant is not
changed. However, the user is still granted membership to this new
tenant. The result is that any client that can reach the
administrative API (deployed on port 35357, by default) can add any
user to any tenant.
Comment 1 Kurt Seifried 2012-08-28 14:20:26 EDT
Created attachment 607673 [details]
CVE-2012-3542-core.py.patch
Comment 3 Kurt Seifried 2012-08-30 16:38:29 EDT
Created openstack-keystone tracking bugs for this issue

Affects: fedora-all [bug 853244]
Comment 4 Kurt Seifried 2012-08-30 16:39:14 EDT
Created openstack-keystone tracking bugs for this issue

Affects: epel-6 [bug 853245]
Comment 5 Kurt Seifried 2012-08-30 22:11:54 EDT
This is now public https://lists.launchpad.net/openstack/msg16282.html
Comment 7 Murray McAllister 2012-09-24 22:05:12 EDT
Acknowledgements:

Red Hat would like to thank Dolph Mathews for reporting this issue.
Comment 8 errata-xmlrpc 2012-10-16 13:25:45 EDT
This issue has been addressed in following products:

  OpenStack Essex for RHEL 6

Via RHSA-2012:1378 https://rhn.redhat.com/errata/RHSA-2012-1378.html